
ChiliProject - Bug # 1011: activity page throws error

Status: Declined Priority: Normal
Author: Roland Fehrenbacher Category:
Created: 2012-05-10 Assignee:
Updated: 2012-05-19 Due date:
Remote issue URL:
Affected version: 3.1.0
Description: In ChiliProject 3.1 I get

<pre>
NoMethodError (undefined method `journal_class_name' for Object:Class):
  lib/redmine/activity/fetcher.rb:83:in `events'
  lib/redmine/activity/fetcher.rb:82:in `each'
  lib/redmine/activity/fetcher.rb:82:in `events'
  lib/redmine/activity/fetcher.rb:81:in `each'
  lib/redmine/activity/fetcher.rb:81:in `events'
  app/controllers/activities_controller.rb:38:in `index'
</pre>

when hitting the Activity tab.

Any idea what's wrong?

History
2012-05-17 08:11 pm - Felix Schäfer
Have you run the upgrade migration successfully?

2012-05-18 08:59 am - Roland Fehrenbacher
Yes.
Just to make sure, I just executed again:
<pre>
$ bundle exec rake db:migrate RAILS_ENV=production
$ bundle exec rake db:migrate:plugins RAILS_ENV=production
</pre>
with no errors.

2012-05-18 11:16 am - Felix Schäfer
Do you have any plugins installed?

2012-05-18 11:20 am - Roland Fehrenbacher
<pre>
projects_tree_view
timesheet_plugin
stuff_to_do_plugin
redmine_arch_decisions
chiliproject_otrs2_chili
wiking
redmine_issue_control_panel
wiki_tabs
redmine_todos_plugin
</pre>
2012-05-18 01:20 pm - Martin Bischoff
We have had the same error in our installation; the reason is this change in the Chiliproject API
"acts_as_journalized":https://www.chiliproject.org/projects/chiliproject/wiki/Acts_as_journalized

Our quick and dirty solution: edit redmine_todos_plugin/app/controllers/models/todos.rb 

 

2012-05-19 08:44 am - Felix Schäfer
- Status changed from Open to Declined

Roland, this indeed probably is an incompatibility of a (or more) plugin with newer ChiliProject versions, please contact the maintainer of the plugin.

Closing this issues as it's not a problem with the core.

2012-05-19 04:46 pm - Roland Fehrenbacher
> Our quick and dirty solution: edit redmine_todos_plugin/app/controllers/models/todos.rb

Do you have a diff by any chance? The change doesn't seem straightforward to me as a non-Ruby developer. 
